Skip to content
Permalink
Browse files

Remove settings that will cause warnings on ESXi < 6.7

  • Loading branch information...
RobbieF committed Jun 2, 2019
1 parent 52a183e commit d4544bca1cafe1d4ba54aa7cf57f31ec4f16a37c
Showing with 7 additions and 0 deletions.
  1. +7 −0 notes/vm/ova-create
@@ -12,8 +12,15 @@ cd $tmpdir/ova-working
tar -xf ../NEMS.ova

# Remove UEFI NVRAM, as it is only supported in ESXi 6.7+
# This one is critical: will cause OVA to not import on older versions
sed -i -E "/nvram/d" *.ovf

# Purge other settings from 6.7 that will cause warnings in older versions of ESXi
# These won't halt the deployment of an OVA, but will cause misleading warnings
sed -i -E "/vbsEnabled/d" *.ovf
sed -i -E "/vvtdEnabled/d" *.ovf
sed -i -E "/efiSecureBootEnabled/d" *.ovf

# Update the manifest
sed -i "/\.ovf/s/= .*/= $(sha1sum *.ovf |cut -d " " -f 1)/;/nvram/d" *.mf

0 comments on commit d4544bc

Please sign in to comment.
You can’t perform that action at this time.